Composer: LatLon Grid-Draw coordinates problem of decimal values in metric srs on global scales

2017-01-24 03:13 AM - Juraj Betak

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24019

Description

Composer > GRID > Draw coordinates

I have a world map in metric srs like epsg:54003 or epsg:3857 and I want to draw LatLon grid with DECIMAL values (CRS set to

epsg:4326).

It works nicely, unless the map zoom is at e.g. continental level;

however it works strange from certain zoom/scale (close to global level); many LatLon values appear in the grid. See screenshots

attached.

The same behavior in v2.18.3, v2.16.3 on Windows and 2.16.3 on Linux.

History

#1 - 2017-01-24 03:16 AM - Juraj Betak

- Target version set to Version 2.18

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown

#4 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
